Bug 867988 - [abrt] yum-utils-1.1.31-4.fc17: yumRepo.py:913:_getFile:NoMoreMirrorsRepoError: failure: repodata/06bd8d2413f735ebe7e6193a6ae3324a99ead8ed5e3e075c8d1f01eee906a19a-filelists.sqlite.bz2 from updates: [Errno 256] No more mirrors to try.
[abrt] yum-utils-1.1.31-4.fc17: yumRepo.py:913:_getFile:NoMoreMirrorsRepoErro...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
abrt_hash:8a7d357edd6c6ce479b5f2b49a3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-18 15:36 EDT by David Juran
Modified: 2013-08-01 04:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 04:11:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: core_backtrace (935 bytes, text/plain)
2012-10-18 15:36 EDT, David Juran
no flags Details

  None (edit)
Description David Juran 2012-10-18 15:36:04 EDT
Description of problem:
I was running "needs-restarting" while some kind of network problem occured

Version-Release number of selected component:
yum-utils-1.1.31-4.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        /usr/bin/python -tt /bin/needs-restarting
kernel:         3.6.1-1.fc17.x86_64

backtrace:
:yumRepo.py:913:_getFile:NoMoreMirrorsRepoError: failure: repodata/06bd8d2413f735ebe7e6193a6ae3324a99ead8ed5e3e075c8d1f01eee906a19a-filelists.sqlite.bz2 from updates: [Errno 256] No more mirrors to try.
:
:Traceback (most recent call last):
:  File "/bin/needs-restarting", line 171, in <module>
:    sys.exit(main(sys.argv))
:  File "/bin/needs-restarting", line 148, in main
:    for oldpkg in my.pkgSack.searchFiles(just_fn): # ghostfiles are always bogons
:  File "/usr/lib/python2.7/site-packages/yum/packageSack.py", line 473, in searchFiles
:    return self._computeAggregateListResult("searchFiles", name)
:  File "/usr/lib/python2.7/site-packages/yum/packageSack.py", line 600, in _computeAggregateListResult
:    sackResult = apply(method, args)
:  File "/usr/lib/python2.7/site-packages/yum/sqlitesack.py", line 46, in newFunc
:    return func(*args, **kwargs)
:  File "/usr/lib/python2.7/site-packages/yum/sqlitesack.py", line 933, in searchFiles
:    self.populate(repo, mdtype='filelists')
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 194, in populate
:    db_fn = repo._retrieveMD(mydbtype)
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1698, in _retrieveMD
:    **kwargs)
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 913, in _getFile
:    raise Errors.NoMoreMirrorsRepoError(errstr, errors)
:NoMoreMirrorsRepoError: failure: repodata/06bd8d2413f735ebe7e6193a6ae3324a99ead8ed5e3e075c8d1f01eee906a19a-filelists.sqlite.bz2 from updates: [Errno 256] No more mirrors to try.
:
:Local variables in innermost frame:
:relative: 'repodata/06bd8d2413f735ebe7e6193a6ae3324a99ead8ed5e3e075c8d1f01eee906a19a-filelists.sqlite.bz2'
:errors: None
:e: URLGrabError(256, 'No more mirrors to try.')
:start: None
:dirstat: posix.statvfs_result(f_bsize=4096, f_frsize=4096, f_blocks=77409280, f_bfree=57659135, f_bavail=53726975, f_files=19660800, f_ffree=19161950, f_favail=19161950, f_flag=4096, f_namemax=255)
:text: 'updates/filelists_db'
:self: <yum.yumRepo.YumRepository object at 0x32d8550>
:cache: True
:reget: 'simple'
:avail: 220065689600
:headers: ()
:checkfunc: <function checkfunc at 0x37ae7d0>
:errstr: 'failure: repodata/06bd8d2413f735ebe7e6193a6ae3324a99ead8ed5e3e075c8d1f01eee906a19a-filelists.sqlite.bz2 from updates: [Errno 256] No more mirrors to try.'
:copy_local: 1
:kwargs: {}
:url: None
:end: None
:local: '/var/cache/yum/x86_64/17/updates/06bd8d2413f735ebe7e6193a6ae3324a99ead8ed5e3e075c8d1f01eee906a19a-filelists.sqlite.bz2'
:size: '11935429'
Comment 1 David Juran 2012-10-18 15:36:08 EDT
Created attachment 629598 [details]
File: core_backtrace
Comment 2 Fedora End Of Life 2013-07-03 22:21:49 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 04:11:05 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.